Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.regexp
Class REException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              gnu.regexp.REException

All Implemented Interfaces:
  java.io.Serializable

    public class REException

extends java.lang.Exception

This is the regular expression exception class. An exception of this type defines the three attributes:

1. A descriptive message of the error.
2. An integral type code equivalent to one of the statically defined symbols listed below.
3. The approximate position in the input string where the error occurred.

Author:
  Wes Biggs
See Also:
  Serialized Form

Field Summary
`static int` | `REG_BADBR` Error flag.
`static int` | `REG_BADPAT` Error flag.
`static int` | `REG_BADRPT` Error flag.
`static int` | `REG_EBRACE` Error flag.
`static int` | `REG_EBRACK` Error flag.
`static int` | `REG_ECTYPE` Error flag.
`static int` | `REG_EEND` Error flag.
`static int` | `REG_EPAREN` Error flag.
`static int` | `REG_ERANGE` Error flag.
`static int` | `REG_ESCAPE` Error flag.
`static int` | `REG_ESIZE` Error flag.
`static int` | `REG_ESPACE` Error flag.
`static int` | `REG_ESUBREG` Error flag.

Method Summary
`java.lang.String` | `getMessage()` Reports the descriptive message associated with this exception as well as its index position in the string or character array being compiled.
`int` | `getPosition()` Returns the position, relative to the string or character array being compiled, where the error occurred.
`int` | `getType()` Returns the type of the exception, one of the constants listed above.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REG_BADRPT

    public static final int REG_BADRPT

  Error flag. Invalid use of repetition operators such as using `*' as the first character.

  See Also:
    Constant Field Values

### REG_BADBR

    public static final int REG_BADBR

  Error flag. Invalid use of back reference operator.

  See Also:
    Constant Field Values

### REG_EBRACE

    public static final int REG_EBRACE

  Error flag. Un-matched brace interval operators.

  See Also:
    Constant Field Values

### REG_EBRACK

    public static final int REG_EBRACK

  Error flag. Un-matched bracket list operators.

  See Also:
    Constant Field Values

### REG_ERANGE

    public static final int REG_ERANGE

  Error flag. Invalid use of the range operator, eg. the ending point of the range occurs prior to the starting point.

  See Also:
    Constant Field Values

### REG_ECTYPE

    public static final int REG_ECTYPE

  Error flag. Unknown character class name. Not implemented.

  See Also:
    Constant Field Values

### REG_EPAREN

    public static final int REG_EPAREN

  Error flag. Un-matched parenthesis group operators.

  See Also:
    Constant Field Values

### REG_ESUBREG

    public static final int REG_ESUBREG

  Error flag. Invalid back reference to a subexpression.

  See Also:
    Constant Field Values

### REG_EEND

    public static final int REG_EEND

  Error flag. Non specific error. Not implemented.

  See Also:
    Constant Field Values

### REG_ESCAPE

    public static final int REG_ESCAPE

  Error flag. Invalid escape sequence. Not implemented.

  See Also:
    Constant Field Values

### REG_BADPAT

    public static final int REG_BADPAT

  Error flag. Invalid use of pattern operators such as group or list.

  See Also:
    Constant Field Values

### REG_ESIZE

    public static final int REG_ESIZE

  Error flag. Compiled regular expression requires a pattern buffer larger than 64Kb. Not implemented.

  See Also:
    Constant Field Values

### REG_ESPACE

    public static final int REG_ESPACE

  Error flag. The regex routines ran out of memory. Not implemented.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Returns the type of the exception, one of the constants listed above.

### getPosition

    public int getPosition()

  Returns the position, relative to the string or character array being compiled, where the error occurred. This position is generally the point where the error was detected, not necessarily the starting index of a bad subexpression.

### getMessage

    public java.lang.String getMessage()

  Reports the descriptive message associated with this exception as well as its index position in the string or character array being compiled.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.